# Shipments Configuration (Operations)

Endpoints to create, update and read shipping configuration.

## GET /api/configurations/deliverynote

> Get delivery note config

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read shipping configuration.","name":"Shipments Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"DeliveryNoteConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"articleIdLabel":{"$ref":"#/components/schemas/LocaleString"},"articleTitleLabel":{"$ref":"#/components/schemas/LocaleString"},"companyAddress":{"$ref":"#/components/schemas/CompanyAddress"},"description":{"$ref":"#/components/schemas/LocaleString"},"disclaimer":{"$ref":"#/components/schemas/LocaleString"},"headline":{"$ref":"#/components/schemas/LocaleString"},"id":{"type":"string"},"logoUrl":{"type":"string"},"orderDateLabel":{"$ref":"#/components/schemas/LocaleString"},"orderNumberLabel":{"$ref":"#/components/schemas/LocaleString"},"pageLabel":{"$ref":"#/components/schemas/LocaleString"},"pdfBackgroundConfiguration":{"$ref":"#/components/schemas/PdfBackgroundConfiguration"},"quantityLabel":{"$ref":"#/components/schemas/LocaleString"},"substituteText":{"$ref":"#/components/schemas/LocaleString"}},"required":["id","orderNumberLabel","orderDateLabel","headline","quantityLabel","articleIdLabel","articleTitleLabel","pageLabel"],"type":"object","title":"DeliveryNoteConfiguration","description":"DeliveryNoteConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"CompanyAddress":{"properties":{"city":{"pattern":"^.+$","type":"string"},"country":{"pattern":"^.+$","type":"string"},"houseNumber":{"pattern":"^.+$","type":"string"},"name":{"pattern":"^.+$","type":"string"},"postalCode":{"pattern":"^.+$","type":"string"},"street":{"pattern":"^.+$","type":"string"}},"required":["name","street","postalCode","city","country"],"type":"object","title":"CompanyAddress","description":"CompanyAddress"},"PdfBackgroundConfiguration":{"properties":{"firstPageBackgroundFileUrl":{"description":"File url of the background image that will be used for the first page","type":"string"},"followingPageBackgroundFileUrl":{"description":"File url of background image that will be used for 2-n pages","type":"string"}},"type":"object","title":"PdfBackgroundConfiguration","description":"PdfBackgroundConfiguration"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/deliverynote":{"get":{"operationId":"getDeliveryNoteConfiguration","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeliveryNoteConfiguration"}}},"description":"Delivery note configuration was found & you were allowed to access it. The result is in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Delivery note configuration not found"}},"summary":"Get delivery note config","tags":["Shipments Configuration (Operations)"]}}}}
```

## PUT /api/configurations/deliverynote

> Update delivery note config

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read shipping configuration.","name":"Shipments Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"DeliveryNoteConfigurationForUpsert":{"properties":{"articleIdLabel":{"$ref":"#/components/schemas/LocaleString"},"articleTitleLabel":{"$ref":"#/components/schemas/LocaleString"},"companyAddress":{"$ref":"#/components/schemas/CompanyAddress"},"description":{"$ref":"#/components/schemas/LocaleString"},"disclaimer":{"$ref":"#/components/schemas/LocaleString"},"headline":{"$ref":"#/components/schemas/LocaleString"},"logo":{"$ref":"#/components/schemas/NamedFile"},"orderDateLabel":{"$ref":"#/components/schemas/LocaleString"},"orderNumberLabel":{"$ref":"#/components/schemas/LocaleString"},"pageLabel":{"$ref":"#/components/schemas/LocaleString"},"pdfBackgroundConfiguration":{"$ref":"#/components/schemas/PdfBackgroundConfigurationForUpsert"},"quantityLabel":{"$ref":"#/components/schemas/LocaleString"},"substituteText":{"$ref":"#/components/schemas/LocaleString"},"version":{"description":"Version field is used in the optimistic locking process. If the configuration doesn't exists, this field is ignored.","type":"number"}},"required":["version","orderNumberLabel","orderDateLabel","headline","quantityLabel","articleIdLabel","articleTitleLabel","pageLabel"],"type":"object","title":"DeliveryNoteConfigurationForUpsert","description":"DeliveryNoteConfigurationForUpsert"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"CompanyAddress":{"properties":{"city":{"pattern":"^.+$","type":"string"},"country":{"pattern":"^.+$","type":"string"},"houseNumber":{"pattern":"^.+$","type":"string"},"name":{"pattern":"^.+$","type":"string"},"postalCode":{"pattern":"^.+$","type":"string"},"street":{"pattern":"^.+$","type":"string"}},"required":["name","street","postalCode","city","country"],"type":"object","title":"CompanyAddress","description":"CompanyAddress"},"NamedFile":{"additionalProperties":false,"properties":{"content":{"description":"File content base64 encoded","type":"string"},"name":{"description":"File name with extension","type":"string"}},"required":["name","content"],"type":"object","xml":{"name":"NamedFile"},"title":"NamedFile","description":"NamedFile"},"PdfBackgroundConfigurationForUpsert":{"properties":{"firstPageBackgroundFile":{"$ref":"#/components/schemas/NamedFile"},"followingPageBackgroundFile":{"$ref":"#/components/schemas/NamedFile"}},"type":"object","title":"PdfBackgroundConfigurationForUpsert","description":"PdfBackgroundConfigurationForUpsert"},"DeliveryNoteConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"articleIdLabel":{"$ref":"#/components/schemas/LocaleString"},"articleTitleLabel":{"$ref":"#/components/schemas/LocaleString"},"companyAddress":{"$ref":"#/components/schemas/CompanyAddress"},"description":{"$ref":"#/components/schemas/LocaleString"},"disclaimer":{"$ref":"#/components/schemas/LocaleString"},"headline":{"$ref":"#/components/schemas/LocaleString"},"id":{"type":"string"},"logoUrl":{"type":"string"},"orderDateLabel":{"$ref":"#/components/schemas/LocaleString"},"orderNumberLabel":{"$ref":"#/components/schemas/LocaleString"},"pageLabel":{"$ref":"#/components/schemas/LocaleString"},"pdfBackgroundConfiguration":{"$ref":"#/components/schemas/PdfBackgroundConfiguration"},"quantityLabel":{"$ref":"#/components/schemas/LocaleString"},"substituteText":{"$ref":"#/components/schemas/LocaleString"}},"required":["id","orderNumberLabel","orderDateLabel","headline","quantityLabel","articleIdLabel","articleTitleLabel","pageLabel"],"type":"object","title":"DeliveryNoteConfiguration","description":"DeliveryNoteConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"PdfBackgroundConfiguration":{"properties":{"firstPageBackgroundFileUrl":{"description":"File url of the background image that will be used for the first page","type":"string"},"followingPageBackgroundFileUrl":{"description":"File url of background image that will be used for 2-n pages","type":"string"}},"type":"object","title":"PdfBackgroundConfiguration","description":"PdfBackgroundConfiguration"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/deliverynote":{"put":{"operationId":"putDeliveryNoteConfiguration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeliveryNoteConfigurationForUpsert"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeliveryNoteConfiguration"}}},"description":"Delivery note configuration was successfully updated"},"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeliveryNoteConfiguration"}}},"description":"Delivery note configuration was successfully created"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Update delivery note config","tags":["Shipments Configuration (Operations)"]}}}}
```

## GET /api/configurations/returnnote

> Get return note config

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read shipping configuration.","name":"Shipments Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ReturnNoteConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"description":"Return Note Configuration","properties":{"articleIdLabel":{"$ref":"#/components/schemas/LocaleString"},"articleTitleLabel":{"$ref":"#/components/schemas/LocaleString"},"companyAddress":{"$ref":"#/components/schemas/CompanyAddress"},"disclaimer":{"$ref":"#/components/schemas/LocaleString"},"disclaimerHeadline":{"$ref":"#/components/schemas/LocaleString"},"displayPageLabel":{"default":false,"description":"Determines if the page label should be shown","type":"boolean"},"headline":{"$ref":"#/components/schemas/LocaleString"},"id":{"type":"string"},"logoUrl":{"type":"string"},"orderDateLabel":{"$ref":"#/components/schemas/LocaleString"},"orderNumberLabel":{"$ref":"#/components/schemas/LocaleString"},"pageLabel":{"$ref":"#/components/schemas/LocaleString"},"pdfBackgroundConfiguration":{"$ref":"#/components/schemas/PdfBackgroundConfiguration"},"quantityLabel":{"$ref":"#/components/schemas/LocaleString"},"reasons":{"deprecated":true,"description":"Deprecated - use ReturnConfiguration.availableReturnReasons instead","items":{"$ref":"#/components/schemas/LocaleString"},"type":"array"},"returnReasonExplanation":{"$ref":"#/components/schemas/LocaleString"},"returnReasonExplanationHeadline":{"$ref":"#/components/schemas/LocaleString"},"returnReasonLabel":{"$ref":"#/components/schemas/LocaleString"},"substituteText":{"$ref":"#/components/schemas/LocaleString"}},"required":["id","orderDateLabel","orderNumberLabel","headline","quantityLabel","articleIdLabel","articleTitleLabel","returnReasonLabel","disclaimerHeadline","disclaimer","pageLabel"],"title":"ReturnNoteConfiguration","type":"object"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"CompanyAddress":{"properties":{"city":{"pattern":"^.+$","type":"string"},"country":{"pattern":"^.+$","type":"string"},"houseNumber":{"pattern":"^.+$","type":"string"},"name":{"pattern":"^.+$","type":"string"},"postalCode":{"pattern":"^.+$","type":"string"},"street":{"pattern":"^.+$","type":"string"}},"required":["name","street","postalCode","city","country"],"type":"object","title":"CompanyAddress","description":"CompanyAddress"},"PdfBackgroundConfiguration":{"properties":{"firstPageBackgroundFileUrl":{"description":"File url of the background image that will be used for the first page","type":"string"},"followingPageBackgroundFileUrl":{"description":"File url of background image that will be used for 2-n pages","type":"string"}},"type":"object","title":"PdfBackgroundConfiguration","description":"PdfBackgroundConfiguration"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/returnnote":{"get":{"operationId":"getReturnNoteConfiguration","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReturnNoteConfiguration"}}},"description":"Return note config could be found in response body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"Get return note config","tags":["Shipments Configuration (Operations)"]}}}}
```

## PUT /api/configurations/returnnote

> Update return note config

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read shipping configuration.","name":"Shipments Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ReturnNoteConfigurationForUpsert":{"additionalProperties":false,"properties":{"articleIdLabel":{"$ref":"#/components/schemas/LocaleString"},"articleTitleLabel":{"$ref":"#/components/schemas/LocaleString"},"companyAddress":{"$ref":"#/components/schemas/CompanyAddress"},"disclaimer":{"$ref":"#/components/schemas/LocaleString"},"disclaimerHeadline":{"$ref":"#/components/schemas/LocaleString"},"displayPageLabel":{"default":false,"description":"Determines if the page label should be shown","type":"boolean"},"headline":{"$ref":"#/components/schemas/LocaleString"},"logo":{"$ref":"#/components/schemas/NamedFile"},"orderDateLabel":{"$ref":"#/components/schemas/LocaleString"},"orderNumberLabel":{"$ref":"#/components/schemas/LocaleString"},"pageLabel":{"$ref":"#/components/schemas/LocaleString"},"pdfBackgroundConfiguration":{"$ref":"#/components/schemas/PdfBackgroundConfigurationForUpsert"},"quantityLabel":{"$ref":"#/components/schemas/LocaleString"},"reasons":{"deprecated":true,"description":"Deprecated - use ReturnConfiguration.availableReturnReasons instead","items":{"$ref":"#/components/schemas/LocaleString"},"type":"array"},"returnReasonExplanation":{"$ref":"#/components/schemas/LocaleString"},"returnReasonExplanationHeadline":{"$ref":"#/components/schemas/LocaleString"},"returnReasonLabel":{"$ref":"#/components/schemas/LocaleString"},"substituteText":{"$ref":"#/components/schemas/LocaleString"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["orderDateLabel","orderNumberLabel","headline","quantityLabel","articleIdLabel","articleTitleLabel","returnReasonLabel","disclaimerHeadline","disclaimer","pageLabel","version"],"type":"object","title":"ReturnNoteConfigurationForUpsert","description":"ReturnNoteConfigurationForUpsert"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"CompanyAddress":{"properties":{"city":{"pattern":"^.+$","type":"string"},"country":{"pattern":"^.+$","type":"string"},"houseNumber":{"pattern":"^.+$","type":"string"},"name":{"pattern":"^.+$","type":"string"},"postalCode":{"pattern":"^.+$","type":"string"},"street":{"pattern":"^.+$","type":"string"}},"required":["name","street","postalCode","city","country"],"type":"object","title":"CompanyAddress","description":"CompanyAddress"},"NamedFile":{"additionalProperties":false,"properties":{"content":{"description":"File content base64 encoded","type":"string"},"name":{"description":"File name with extension","type":"string"}},"required":["name","content"],"type":"object","xml":{"name":"NamedFile"},"title":"NamedFile","description":"NamedFile"},"PdfBackgroundConfigurationForUpsert":{"properties":{"firstPageBackgroundFile":{"$ref":"#/components/schemas/NamedFile"},"followingPageBackgroundFile":{"$ref":"#/components/schemas/NamedFile"}},"type":"object","title":"PdfBackgroundConfigurationForUpsert","description":"PdfBackgroundConfigurationForUpsert"},"ReturnNoteConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"description":"Return Note Configuration","properties":{"articleIdLabel":{"$ref":"#/components/schemas/LocaleString"},"articleTitleLabel":{"$ref":"#/components/schemas/LocaleString"},"companyAddress":{"$ref":"#/components/schemas/CompanyAddress"},"disclaimer":{"$ref":"#/components/schemas/LocaleString"},"disclaimerHeadline":{"$ref":"#/components/schemas/LocaleString"},"displayPageLabel":{"default":false,"description":"Determines if the page label should be shown","type":"boolean"},"headline":{"$ref":"#/components/schemas/LocaleString"},"id":{"type":"string"},"logoUrl":{"type":"string"},"orderDateLabel":{"$ref":"#/components/schemas/LocaleString"},"orderNumberLabel":{"$ref":"#/components/schemas/LocaleString"},"pageLabel":{"$ref":"#/components/schemas/LocaleString"},"pdfBackgroundConfiguration":{"$ref":"#/components/schemas/PdfBackgroundConfiguration"},"quantityLabel":{"$ref":"#/components/schemas/LocaleString"},"reasons":{"deprecated":true,"description":"Deprecated - use ReturnConfiguration.availableReturnReasons instead","items":{"$ref":"#/components/schemas/LocaleString"},"type":"array"},"returnReasonExplanation":{"$ref":"#/components/schemas/LocaleString"},"returnReasonExplanationHeadline":{"$ref":"#/components/schemas/LocaleString"},"returnReasonLabel":{"$ref":"#/components/schemas/LocaleString"},"substituteText":{"$ref":"#/components/schemas/LocaleString"}},"required":["id","orderDateLabel","orderNumberLabel","headline","quantityLabel","articleIdLabel","articleTitleLabel","returnReasonLabel","disclaimerHeadline","disclaimer","pageLabel"],"title":"ReturnNoteConfiguration","type":"object"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"PdfBackgroundConfiguration":{"properties":{"firstPageBackgroundFileUrl":{"description":"File url of the background image that will be used for the first page","type":"string"},"followingPageBackgroundFileUrl":{"description":"File url of background image that will be used for 2-n pages","type":"string"}},"type":"object","title":"PdfBackgroundConfiguration","description":"PdfBackgroundConfiguration"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/returnnote":{"put":{"description":"","operationId":"putReturnNoteConfiguration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReturnNoteConfigurationForUpsert"}}},"description":"Desired return note configuration to create/update","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReturnNoteConfiguration"}}},"description":"The return note configuration was successfully updated."},"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReturnNoteConfiguration"}}},"description":"The return note configuration was successfully created."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Update return note config","tags":["Shipments Configuration (Operations)"]}}}}
```

## Get parcel tag config

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Returns the tag configuration for parcels

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read shipping configuration.","name":"Shipments Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ParcelTagConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"},{"$ref":"#/components/schemas/TagConfiguration"}],"properties":{"alternativeReturnAddressConfiguration":{"$ref":"#/components/schemas/AlternativeReturnAddressConfiguration"}},"required":["alternativeReturnAddressConfiguration"],"title":"ParcelTagConfiguration","description":"ParcelTagConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"TagConfiguration":{"properties":{"offeredDocumentsByDefault":{"description":"This configuration is a fallback and applies only if none of the entries in offeredDocumentsPerTag can be applied","items":{"$ref":"#/components/schemas/OfferedDocument"},"maxItems":500,"type":"array"},"offeredDocumentsPerTag":{"description":"All entries with a match in their matchingValues will be combined when determining what documents belong to an entity","items":{"$ref":"#/components/schemas/OfferedDocumentPerTag"},"maxItems":500,"type":"array"}},"required":["offeredDocumentsPerTag","offeredDocumentsByDefault"],"title":"TagConfiguration","description":"TagConfiguration"},"OfferedDocument":{"properties":{"documentCategory":{"$ref":"#/components/schemas/DocumentCategory"}},"required":["documentCategory"],"type":"object","title":"OfferedDocument","description":"OfferedDocument"},"DocumentCategory":{"enum":["EXTERNAL","DELIVERYNOTE","RETURNNOTE","SENDLABEL","RETURNLABEL","TRANSFERLABEL","CUSTOMS"],"type":"string","title":"DocumentCategory","description":"DocumentCategory"},"OfferedDocumentPerTag":{"properties":{"matchingValues":{"items":{"minItems":1,"type":"string"},"maxItems":500,"type":"array"},"offeredDocuments":{"items":{"$ref":"#/components/schemas/OfferedDocument"},"maxItems":500,"type":"array"},"tagRef":{"type":"string"}},"required":["offeredDocuments","matchingValues","tagRef"],"type":"object","title":"OfferedDocumentPerTag","description":"OfferedDocumentPerTag"},"AlternativeReturnAddressConfiguration":{"additionalProperties":false,"properties":{"alternativeReturnAddressPerTag":{"items":{"$ref":"#/components/schemas/AlternativeReturnAddressPerTag"},"minItems":0,"type":"array"}},"required":["alternativeReturnAddressPerTag"],"title":"AlternativeReturnAddressConfiguration","description":"AlternativeReturnAddressConfiguration"},"AlternativeReturnAddressPerTag":{"additionalProperties":false,"properties":{"alternativeReturnAddress":{"$ref":"#/components/schemas/FacilityAddress"},"matchingValues":{"items":{"type":"string"},"minItems":1,"type":"array"},"tagRef":{"description":"needs to be an existing tag id","type":"string"}},"required":["tagRef","matchingValues","alternativeReturnAddress"],"title":"AlternativeReturnAddressPerTag","description":"AlternativeReturnAddressPerTag"},"FacilityAddress":{"allOf":[{"$ref":"#/components/schemas/FacilityAddressForCreation"},{"properties":{"resolvedTimeZone":{"$ref":"#/components/schemas/TimeZone"}},"type":"object"}],"type":"object","xml":{"name":"FacilityAddress"},"title":"FacilityAddress","description":"FacilityAddress"},"FacilityAddressForCreation":{"allOf":[{"$ref":"#/components/schemas/Address"},{"properties":{"companyName":{"type":"string"},"emailAddresses":{"items":{"properties":{"recipient":{"description":"Human readable information who is the recipient for emails sent to this address.","type":"string"},"value":{"type":"string"}},"required":["value"],"type":"object"},"maxItems":10,"type":"array"},"resolvedCoordinates":{"$ref":"#/components/schemas/Coordinates"},"resolvedTimeZone":{"$ref":"#/components/schemas/TimeZoneForCreation","description":"User-specified time zone in identifier format (e.g., \"America/Los_Angeles\"). Used to determine local time. Relevant only if the country spans multiple time zones; otherwise, the time zone is automatically determined from the country or via Google if unspecified."}},"required":["companyName"],"type":"object"}],"type":"object","xml":{"name":"FacilityAddressForCreation"},"title":"FacilityAddressForCreation","description":"FacilityAddressForCreation"},"Address":{"properties":{"additionalAddressInfo":{"type":"string"},"city":{"pattern":"^.+$","type":"string"},"country":{"description":"A two-digit country code as per ISO 3166-1 alpha-2","pattern":"^[A-Z]{2}$","type":"string"},"customAttributes":{"description":"Attributes that can be added to the address. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"houseNumber":{"pattern":"^.+$","type":"string"},"phoneNumbers":{"items":{"properties":{"customAttributes":{"description":"Attributes that can be added to the phonenumber. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"label":{"description":"Can be used to give a description for the number, like \"private\", \"business number\", etc.","type":"string"},"type":{"enum":["MOBILE","PHONE"],"type":"string"},"value":{"description":"The number itself. We do not enforce any format (yet).","type":"string"}},"required":["value","type"],"type":"object"},"maxItems":500,"type":"array"},"postalCode":{"pattern":"^.+$","type":"string"},"province":{"pattern":"^.+$","type":"string"},"street":{"pattern":"^.+$","type":"string"}},"required":["street","city","postalCode","country"],"type":"object","title":"Address","description":"Address"},"Coordinates":{"description":"Coordinates of the WGS84 geodetic reference system in Mercator projection, as used e.g. by the Google Maps API","properties":{"lat":{"description":"Latitude value","type":"number"},"lon":{"description":"Longitude value","type":"number"}},"required":["lat","lon"],"type":"object","title":"Coordinates"},"TimeZoneForCreation":{"description":"Self-provided timezone for determining the local time of a facility","properties":{"timeZoneId":{"description":"official id of the timezone","type":"string"}},"required":["timeZoneId"],"type":"object","title":"TimeZoneForCreation"},"TimeZone":{"description":"Timezone for information retrieved e.g. by the Google Maps API","properties":{"offsetInSeconds":{"description":"offset in seconds to standard time. Does not account for daylight saving time.","type":"number"},"source":{"description":"source of the timezone information","type":"string"},"timeZoneId":{"description":"official id of the timezone","type":"string"},"timeZoneName":{"description":"descriptive name of the timezone","type":"string"}},"required":["timeZoneId","timeZoneName","offsetInSeconds"],"type":"object","title":"TimeZone"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/tags/parcel":{"get":{"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Returns the tag configuration for parcels","operationId":"getParcelTagConfiguration","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParcelTagConfiguration"}}},"description":"tag config is in response body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"Get parcel tag config","tags":["Shipments Configuration (Operations)"]}}}}
```

## Update parcel tag config

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Updates the tag configuration for parcels.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read shipping configuration.","name":"Shipments Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ParcelTagConfigurationForUpsert":{"allOf":[{"$ref":"#/components/schemas/TagConfiguration"}],"properties":{"alternativeReturnAddressConfiguration":{"$ref":"#/components/schemas/AlternativeReturnAddressConfiguration"},"version":{"type":"number"}},"required":["alternativeReturnAddressConfiguration"],"title":"ParcelTagConfigurationForUpsert","description":"ParcelTagConfigurationForUpsert"},"TagConfiguration":{"properties":{"offeredDocumentsByDefault":{"description":"This configuration is a fallback and applies only if none of the entries in offeredDocumentsPerTag can be applied","items":{"$ref":"#/components/schemas/OfferedDocument"},"maxItems":500,"type":"array"},"offeredDocumentsPerTag":{"description":"All entries with a match in their matchingValues will be combined when determining what documents belong to an entity","items":{"$ref":"#/components/schemas/OfferedDocumentPerTag"},"maxItems":500,"type":"array"}},"required":["offeredDocumentsPerTag","offeredDocumentsByDefault"],"title":"TagConfiguration","description":"TagConfiguration"},"OfferedDocument":{"properties":{"documentCategory":{"$ref":"#/components/schemas/DocumentCategory"}},"required":["documentCategory"],"type":"object","title":"OfferedDocument","description":"OfferedDocument"},"DocumentCategory":{"enum":["EXTERNAL","DELIVERYNOTE","RETURNNOTE","SENDLABEL","RETURNLABEL","TRANSFERLABEL","CUSTOMS"],"type":"string","title":"DocumentCategory","description":"DocumentCategory"},"OfferedDocumentPerTag":{"properties":{"matchingValues":{"items":{"minItems":1,"type":"string"},"maxItems":500,"type":"array"},"offeredDocuments":{"items":{"$ref":"#/components/schemas/OfferedDocument"},"maxItems":500,"type":"array"},"tagRef":{"type":"string"}},"required":["offeredDocuments","matchingValues","tagRef"],"type":"object","title":"OfferedDocumentPerTag","description":"OfferedDocumentPerTag"},"AlternativeReturnAddressConfiguration":{"additionalProperties":false,"properties":{"alternativeReturnAddressPerTag":{"items":{"$ref":"#/components/schemas/AlternativeReturnAddressPerTag"},"minItems":0,"type":"array"}},"required":["alternativeReturnAddressPerTag"],"title":"AlternativeReturnAddressConfiguration","description":"AlternativeReturnAddressConfiguration"},"AlternativeReturnAddressPerTag":{"additionalProperties":false,"properties":{"alternativeReturnAddress":{"$ref":"#/components/schemas/FacilityAddress"},"matchingValues":{"items":{"type":"string"},"minItems":1,"type":"array"},"tagRef":{"description":"needs to be an existing tag id","type":"string"}},"required":["tagRef","matchingValues","alternativeReturnAddress"],"title":"AlternativeReturnAddressPerTag","description":"AlternativeReturnAddressPerTag"},"FacilityAddress":{"allOf":[{"$ref":"#/components/schemas/FacilityAddressForCreation"},{"properties":{"resolvedTimeZone":{"$ref":"#/components/schemas/TimeZone"}},"type":"object"}],"type":"object","xml":{"name":"FacilityAddress"},"title":"FacilityAddress","description":"FacilityAddress"},"FacilityAddressForCreation":{"allOf":[{"$ref":"#/components/schemas/Address"},{"properties":{"companyName":{"type":"string"},"emailAddresses":{"items":{"properties":{"recipient":{"description":"Human readable information who is the recipient for emails sent to this address.","type":"string"},"value":{"type":"string"}},"required":["value"],"type":"object"},"maxItems":10,"type":"array"},"resolvedCoordinates":{"$ref":"#/components/schemas/Coordinates"},"resolvedTimeZone":{"$ref":"#/components/schemas/TimeZoneForCreation","description":"User-specified time zone in identifier format (e.g., \"America/Los_Angeles\"). Used to determine local time. Relevant only if the country spans multiple time zones; otherwise, the time zone is automatically determined from the country or via Google if unspecified."}},"required":["companyName"],"type":"object"}],"type":"object","xml":{"name":"FacilityAddressForCreation"},"title":"FacilityAddressForCreation","description":"FacilityAddressForCreation"},"Address":{"properties":{"additionalAddressInfo":{"type":"string"},"city":{"pattern":"^.+$","type":"string"},"country":{"description":"A two-digit country code as per ISO 3166-1 alpha-2","pattern":"^[A-Z]{2}$","type":"string"},"customAttributes":{"description":"Attributes that can be added to the address. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"houseNumber":{"pattern":"^.+$","type":"string"},"phoneNumbers":{"items":{"properties":{"customAttributes":{"description":"Attributes that can be added to the phonenumber. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"label":{"description":"Can be used to give a description for the number, like \"private\", \"business number\", etc.","type":"string"},"type":{"enum":["MOBILE","PHONE"],"type":"string"},"value":{"description":"The number itself. We do not enforce any format (yet).","type":"string"}},"required":["value","type"],"type":"object"},"maxItems":500,"type":"array"},"postalCode":{"pattern":"^.+$","type":"string"},"province":{"pattern":"^.+$","type":"string"},"street":{"pattern":"^.+$","type":"string"}},"required":["street","city","postalCode","country"],"type":"object","title":"Address","description":"Address"},"Coordinates":{"description":"Coordinates of the WGS84 geodetic reference system in Mercator projection, as used e.g. by the Google Maps API","properties":{"lat":{"description":"Latitude value","type":"number"},"lon":{"description":"Longitude value","type":"number"}},"required":["lat","lon"],"type":"object","title":"Coordinates"},"TimeZoneForCreation":{"description":"Self-provided timezone for determining the local time of a facility","properties":{"timeZoneId":{"description":"official id of the timezone","type":"string"}},"required":["timeZoneId"],"type":"object","title":"TimeZoneForCreation"},"TimeZone":{"description":"Timezone for information retrieved e.g. by the Google Maps API","properties":{"offsetInSeconds":{"description":"offset in seconds to standard time. Does not account for daylight saving time.","type":"number"},"source":{"description":"source of the timezone information","type":"string"},"timeZoneId":{"description":"official id of the timezone","type":"string"},"timeZoneName":{"description":"descriptive name of the timezone","type":"string"}},"required":["timeZoneId","timeZoneName","offsetInSeconds"],"type":"object","title":"TimeZone"},"ParcelTagConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"},{"$ref":"#/components/schemas/TagConfiguration"}],"properties":{"alternativeReturnAddressConfiguration":{"$ref":"#/components/schemas/AlternativeReturnAddressConfiguration"}},"required":["alternativeReturnAddressConfiguration"],"title":"ParcelTagConfiguration","description":"ParcelTagConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/tags/parcel":{"put":{"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Updates the tag configuration for parcels.","operationId":"putParcelTagConfiguration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParcelTagConfigurationForUpsert"}}},"description":"Desired Tag Configuration for Parcels","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParcelTagConfiguration"}}},"description":"The tag configuration was successfully updated."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Update parcel tag config","tags":["Shipments Configuration (Operations)"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fulfillmenttools.com/documentation/apis/api-reference/shipments-configuration-operations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
